package com.yidianling.im.session.extension;

import com.alibaba.fastjson.JSONObject;

/**
 * 提示就诊者完善信息消息类型
 */
public class CustomAttachmentPatientFullInfo extends CustomAttachment {
    private static final String KEY_FROM_PATIENT_ID = "patientId";


    private String fromPatientId = "";

    public CustomAttachmentPatientFullInfo() {
        super(CustomAttachmentType.TYPE_PATIENT_FULL_INFO);
    }

    @Override
    protected void parseData(JSONObject data) {
        fromPatientId = data.getString(KEY_FROM_PATIENT_ID);
    }

    @Override
    protected JSONObject packData() {
        JSONObject data = new JSONObject();
        data.put(KEY_FROM_PATIENT_ID, fromPatientId);
        return data;
    }

    public String getFromPatientId() {
        return fromPatientId;
    }

}
